| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Macros
OgreConfig.h File Reference
`#include "OgreBuildSettings.h"`

## Macros
#define | OGRE_MAX_BLEND_WEIGHTS 4
| Define max number of blending weights allowed per vertex. More...
#define | OGRE_MAX_MULTIPLE_RENDER_TARGETS 8
| Define max number of multiple render targets (MRTs) to render to at once. More...
#define | OGRE_MAX_SIMULTANEOUS_LIGHTS 8
| Define max number of lights allowed per pass. More...
#define | OGRE_MAX_TEXTURE_COORD_SETS 8
| Define number of texture coordinate sets allowed per vertex. More...
#define | OGRE_MAX_TEXTURE_LAYERS 16
| Define max number of texture layers allowed per pass on any card. More...
#define | OGRE_PRETEND_TEXTURE_UNITS 0
| If set to >0, OGRE will always 'think' that the graphics card only has the number of texture units specified. More...

## Macro Definition Documentation

## ◆ OGRE_PRETEND_TEXTURE_UNITS

#define OGRE_PRETEND_TEXTURE_UNITS 0

If set to >0, OGRE will always 'think' that the graphics card only has the number of texture units specified.

Very useful for testing multipass fallback.

## ◆ OGRE_MAX_TEXTURE_COORD_SETS

#define OGRE_MAX_TEXTURE_COORD_SETS 8

Define number of texture coordinate sets allowed per vertex.

## ◆ OGRE_MAX_TEXTURE_LAYERS

#define OGRE_MAX_TEXTURE_LAYERS 16

Define max number of texture layers allowed per pass on any card.

## ◆ OGRE_MAX_SIMULTANEOUS_LIGHTS

#define OGRE_MAX_SIMULTANEOUS_LIGHTS 8

Define max number of lights allowed per pass.

## ◆ OGRE_MAX_BLEND_WEIGHTS

#define OGRE_MAX_BLEND_WEIGHTS 4

Define max number of blending weights allowed per vertex.

## ◆ OGRE_MAX_MULTIPLE_RENDER_TARGETS

#define OGRE_MAX_MULTIPLE_RENDER_TARGETS 8

Define max number of multiple render targets (MRTs) to render to at once.